#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define subrel 1
%define rel 1

Summary:        Plasma System Monitor
Name:           ksysguard
Version: 5.12.2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)

BuildRequires:  kcoreaddons-devel
BuildRequires:  kconfig-devel
BuildRequires:  kinit-devel
BuildRequires:  khtml-devel
BuildRequires:  kcmutils-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  libksysguard-devel
BuildRequires:  lm_sensors-devel
BuildRequires:  knewstuff-devel

Requires:       %{_lib}qt5opengl5
Requires:       %{_lib}qt5webkit5
# mga#22891
Requires:       libksysguard

Conflicts:      kde-l10n < 15.04.0
Conflicts:      kdebase4-workspace < 2:4.11.23

%description
KF5 System Monitor.

%files -f %{name}.lang
%_kf5_sysconfdir/ksysguarddrc
%_kf5_sysconfdir/xdg/ksysguard.knsrc
%_kf5_bindir/ksysguard
%_kf5_bindir/ksysguardd
%_kf5_libdir/libkdeinit5_ksysguard.so
%_kf5_applicationsdir/org.kde.ksysguard.desktop
%_kf5_iconsdir/hicolor/*/apps/*.png
%_kf5_knotificationsdir/ksysguard.notifyrc
%_kf5_datadir/kxmlgui5/ksysguard
%_kf5_datadir/ksysguard

#--------------------------------------------------------------------

%package handbook
Summary: %name Handbook
BuildArch: noarch

# duplicated files with KDE 4
Conflicts: kdebase4-workspace-handbooks

%description handbook
This package provides %name Handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/%{name}/

#------------------------------------------------


%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%make_build

%install
%make_install -C build

%find_lang %{name}


%changelog
* Wed Oct 17 2018 daviddavid <daviddavid> 5.12.2-1.1.mga6
+ Revision: 1321883
- require libksysguard (mga#22891)
+ neoclust <neoclust>
- New version 5.12.2
- New version 5.12.1
- New version 5.11.95

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1104842
- New version 5.8.7

* Thu Mar 09 2017 neoclust <neoclust> 5.8.6-3.mga6
+ Revision: 1090533
- Rebuild for Armv7

* Wed Mar 08 2017 neoclust <neoclust> 5.8.6-2.mga6
+ Revision: 1090374
- Rebuild for armv7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089028
- New version 5.8.6

* Fri Dec 30 2016 neoclust <neoclust> 5.8.5-2.mga6
+ Revision: 1078719
- Fix conflict against kdebase4-workspace

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078163
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070720
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065117
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064481
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063051
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060276
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057602
- New version 5.8.0

* Sun Sep 18 2016 daviddavid <daviddavid> 5.7.95-3.mga6
+ Revision: 1053848
- fix dependency qt5OpenGL5 -> qt5opengl5

* Sun Sep 18 2016 neoclust <neoclust> 5.7.95-2.mga6
+ Revision: 1053743
- Add QtWebkit as runtime deps
- Add QtOpenGL as runtime deps

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053058
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052685
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048350
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044271
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042559
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041396
- New version 5.7.1

* Sat Jul 09 2016 akien <akien> 5.7.0-2.mga6
+ Revision: 1039900
- Fix conflicts by properly splitting handbook files

* Thu Jul 07 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039502
- New version 5.7.0

* Wed Jun 22 2016 zezinho <zezinho> 5.6.5-2.mga6
+ Revision: 1037202
- add BR sensors to be able to display them
+ neoclust <neoclust>
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014540
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009277
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999261
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998016
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994391
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 987094
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 983744
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927971
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922508
- New version 5.5.3

* Sun Dec 27 2015 neoclust <neoclust> 5.5.2-2.mga6
+ Revision: 915813
- Rebuild against new cmake to have cmake() provides

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 914843
- New version 5.5.2
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910688
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908849
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904402
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 900787
- Rebuild against fixed qtbase5

* Fri Nov 06 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 898260
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889517
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874732
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869648
- New version 5.4.0

* Tue Aug 11 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 862539
- New version 5.3.95

* Sat Aug 01 2015 neoclust <neoclust> 5.3.2-4.mga6
+ Revision: 860378
- Fix conflict for binaries

* Sat Aug 01 2015 neoclust <neoclust> 5.3.2-3.mga6
+ Revision: 860377
- Fix conflict for po files

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 852190
- Remove conflicts

* Sun Jul 05 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850667
- New version 5.3.2

* Fri Dec 19 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804208
- New version

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-5.mga5
+ Revision: 793583
- add missing conflicts with KDE 4

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-4.mga5
+ Revision: 747739
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 681223
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-2.mga5
+ Revision: 663917
- Rename as this is not a framework
- Rename

* Fri Aug 15 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662801
- New version 5.0.1

* Sun Jul 27 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 657651
- Enable translations
- imported package kf5-ksysguard

